export declare class NKEditionMintCrossmintButton {
  /**
   * Crossmint Project Id
   */
  projectId: string;
  /**
   * Crossmint Collection Id
   */
  collectionId: string;
  /**
   * Edition Id
   */
  editionId: number;
  /**
   * Title on the success modal
   */
  successTitle: string;
  /**
   * Body message on the success modal
   */
  successMessage: string;
  disabled: boolean;
  loading: boolean;
  mintTo: string;
  active: boolean;
  isOpen: boolean;
  dialogOpen: boolean;
  mintConfig: Record<string, string | number | string[] | undefined>;
  crossmintButton: HTMLElement;
  dialogTitle: string;
  dialogMessage: string;
  disconnect: () => void;
  componentDidLoad(): void;
  componentDidUpdate(): void;
  componentWillLoad(): void;
  disconnectedCallback(): void;
  private crossmintUpdate;
  private handleWindowEvent;
  openModal(): Promise<void>;
  render(): any;
}
